/*!
 * (c) Copyright 2024 Swiss Post Ltd.
 */
@use "../bootstrap-overrides" as app;

.spinner-border {
  position: relative;
  border: var(--ev-spinner-border-width) solid transparent;
  border-right-color: currentcolor;

  &::before {
    content: "";
    position: absolute;
    top: calc(-1 * var(--ev-spinner-border-width));
    right: calc(-1 * var(--ev-spinner-border-width));
    left: calc(-1 * var(--ev-spinner-border-width));
    bottom: calc(-1 * var(--ev-spinner-border-width));
    border: var(--ev-spinner-border-width) solid currentColor;
    border-radius: 50%;
    opacity: 0.05;
  }
}
